Bug 104395 - Enable MPFR in GMP
Enable MPFR in GMP
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: gmp (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
http://www.mpfr.org/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-14 15:58 EDT by Jakub Jelinek
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-02 02:29:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2003-09-14 15:58:40 EDT
Seems GMP is built without MPFR, which from quick look is fairly useful
(e.g. I had to write something like that myself a few years ago for a bunch
of functions), plus Gfortran might want to use it:
http://gcc.gnu.org/ml/gcc-patches/2003-09/msg00911.html
It might mean just adding --enable-mpfr to GMP's configure, though I haven't
tested it.
Comment 1 Florian La Roche 2003-10-02 02:29:30 EDT
Should be done with release -7.

cu,

Florian La Roche
Comment 3 Jakub Jelinek 2004-08-10 12:16:12 EDT
It was changed after RHEL3.  FC1/FC2/rawhide gmp has MPFR.
As RHEL3 gmp is AFAIK not changing and not very likely to change,
the easiest way is just to grab say FC2 gmp and install it.
rpm -Fvh ftp://download.fedora.redhat.com/pub/fedora/linux/core/2/i386/os/Fedora/RPMS/gmp-{,devel-}4.1.2-14.i386.rpm
Comment 4 Diego Novillo 2004-08-10 12:24:53 EDT
OK.  Thanks.


Diego.

Note You need to log in before you can comment on or make changes to this bug.